Bug 1174002 - Broken /etc/cron.weekly/geoipupdate6 prevents updates
Summary: Broken /etc/cron.weekly/geoipupdate6 prevents updates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: GeoIP
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-14 18:39 UTC by Peter Bieringer
Modified: 2015-05-14 06:28 UTC (History)
3 users (show)

Fixed In Version: geoipupdate-2.2.1-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-26 15:38:15 UTC


Attachments (Terms of Use)
Patch to fix broken /etc/cron.weekly/geoipupdate6 (664 bytes, patch)
2014-12-14 18:39 UTC, Peter Bieringer
no flags Details | Diff

Description Peter Bieringer 2014-12-14 18:39:10 UTC
Created attachment 968584 [details]
Patch to fix broken /etc/cron.weekly/geoipupdate6

Description of problem:
Shell script /etc/cron.weekly/geoipupdate6 is broken

Version-Release number of selected component (if applicable):
GeoIP-update6-1.5.1-6.fc21.noarch

How reproducible:
Always


Steps to Reproduce:
# LANG=C /etc/cron.weekly/geoipupdate6 geoipupdate6 

Actual results:
/etc/cron.weekly/geoipupdate6: line 42: syntax error near unexpected token `fi'
/etc/cron.weekly/geoipupdate6: line 42: `    fi'

Expected results:
working as expected

Additional info:
2 issues were found in script, patch attached

Comment 1 Paul Howarth 2014-12-14 19:13:14 UTC
Hmm, that's not quite right either. The status=1 in the subshell will not affect its parent shell and hence the script will always exit 0 regardless of the success or otherwise of the update. I think it should use another if/then/else construct (rather than ||) to keep everything within the same shell.

Comment 2 Ewoud Kohl van Wijngaarden 2015-02-26 10:58:32 UTC
Always exiting with 0 is preferable to a completely broken script.

Comment 3 Fedora Update System 2015-04-14 07:57:51 UTC
GeoIP-GeoLite-data-2015.04-1.el5,geoipupdate-2.2.1-2.el5,GeoIP-1.6.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.el5,geoipupdate-2.2.1-2.el5,GeoIP-1.6.5-1.el5

Comment 4 Fedora Update System 2015-04-14 07:59:13 UTC
GeoIP-GeoLite-data-2015.04-1.el6,geoipupdate-2.2.1-2.el6,GeoIP-1.6.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.el6,geoipupdate-2.2.1-2.el6,GeoIP-1.6.5-1.el6

Comment 5 Fedora Update System 2015-04-14 08:00:32 UTC
GeoIP-GeoLite-data-2015.04-1.fc21,geoipupdate-2.2.1-2.fc21,GeoIP-1.6.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.fc21,geoipupdate-2.2.1-2.fc21,GeoIP-1.6.5-1.fc21

Comment 6 Fedora Update System 2015-04-14 08:00:48 UTC
GeoIP-GeoLite-data-2015.04-1.fc22,geoipupdate-2.2.1-2.fc22,GeoIP-1.6.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.fc22,geoipupdate-2.2.1-2.fc22,GeoIP-1.6.5-1.fc22

Comment 7 Fedora Update System 2015-04-14 08:03:11 UTC
GeoIP-GeoLite-data-2015.04-1.fc20,geoipupdate-2.2.1-2.fc20,GeoIP-1.6.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/GeoIP-GeoLite-data-2015.04-1.fc20,geoipupdate-2.2.1-2.fc20,GeoIP-1.6.5-1.fc20

Comment 8 Paul Howarth 2015-04-14 14:40:40 UTC
This update includes a completely new perl-based script for geoipupdate6, based on the "simple mirror" script shipped with upstream's perl binding.

Comment 9 Fedora Update System 2015-04-21 19:15:03 UTC
GeoIP-GeoLite-data-2015.04-1.fc22, geoipupdate-2.2.1-2.fc22, GeoIP-1.6.5-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-04-26 12:48:33 UTC
GeoIP-GeoLite-data-2015.04-1.fc20, geoipupdate-2.2.1-2.fc20, GeoIP-1.6.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-04-26 12:58:40 UTC
GeoIP-GeoLite-data-2015.04-1.fc21, geoipupdate-2.2.1-2.fc21, GeoIP-1.6.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-05-14 06:27:55 UTC
geoipupdate-2.2.1-2.el6, GeoIP-1.6.5-1.el6, GeoIP-GeoLite-data-2015.04-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-05-14 06:28:40 UTC
geoipupdate-2.2.1-2.el5, GeoIP-GeoLite-data-2015.04-2.el5, GeoIP-1.6.5-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.